Skip to main content
GET
/
v1
/
account
/
rewards
Get Account Rewards
curl --request GET \
  --url https://api.perpetuals.polymarket.com/v1/account/rewards \
  --header 'POLYMARKET-PROXY: <api-key>' \
  --header 'POLYMARKET-SECRET: <api-key>'
import requests

url = "https://api.perpetuals.polymarket.com/v1/account/rewards"

headers = {
"POLYMARKET-PROXY": "<api-key>",
"POLYMARKET-SECRET": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'POLYMARKET-PROXY': '<api-key>', 'POLYMARKET-SECRET': '<api-key>'}
};

fetch('https://api.perpetuals.polymarket.com/v1/account/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "date": "2026-05-10",
      "maker_share_7d": "0.35",
      "reward_distributed": true,
      "breakdown": [
        {
          "instrument_id": 123,
          "reward_pool": "1000",
          "reward_amount": "127.50344"
        }
      ],
      "oi_rewards": {
        "account_oi": "3200000",
        "reward_amount": "127.50344"
      }
    }
  ],
  "more": true
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
Request Weight: 2

Authorizations

POLYMARKET-PROXY
string
header
required

Proxy address

POLYMARKET-SECRET
string
header
required

Correponding proxy secret

Query Parameters

date
string

UTC reward period end date in YYYY-MM-DD format

Example:

"2026-05-10"

start_date
string

Inclusive UTC start date in YYYY-MM-DD format

Example:

"2026-05-01"

end_date
string

Inclusive UTC end date in YYYY-MM-DD format

Example:

"2026-05-10"

limit
integer

Maximum number of entries to return

Example:

100

Response

Account rewards response.

data
object[]
required
more
boolean
required

More data available